#!/bin/sh
DEFAULT_IP="192.168.10.100"
JBPROGSIZE_CMD="./jbprogsize"
JBPROGUPDATE_CMD="./jbprogupdate"

GetFileSize(){
    Size=`wc -c $1 | cut -f 1 -d ' '`
    echo $Size
    return $Size
}

#Option detect
while [ $1 ] ;
do
    if [ $1 = "-i" ] ; then
	shift
	IP_Address=$1
    fi
    if [ $1 = "-f" ] ; then
	shift
	JB_File=$1
    fi
    if [ $1 = "-h" ] ; then
	printf " -i [IP_ADDRESS] : \n"
	printf " -f [JB_FILE]    : \n"
	printf " -h              : help\n"
	exit
    fi
    shift
done

#IP address setting
if ! [ $IP_Address ] ; then
    printf "IP ADDRESS [$DEFAULT_IP] : "
    read IP_Address

    if [ -z $IP_Address ] ; then
	IP_Address=$DEFAULT_IP
    fi
fi

#Firmware-data-file setting
if ! [ $JB_File ] ; then
    printf "Firmware data File : "
    read JB_File
fi

if [ -z $JB_File ] ; then
    printf "*** Please Input Firmware data File!\n"
    exit
else
    if ! [ -e $JB_File ] ; then
	printf "*** File not found : $JB_File\n"
	exit
    else
	if [ -d $JB_File ] ; then
	    printf "*** Input file is Directory!\n"
	    exit
	fi
    fi
fi

#Get flash-size
Max_Size=`$JBPROGSIZE_CMD $IP_Address`
if [ $? -ne 0 ] ; then
    exit
fi

#Get file-size
File_Size=`GetFileSize $JB_File`

if [ $File_Size -gt $Max_Size ] ; then
    printf "*** Input file size is too large!\n"
    exit
fi

echo "$JBPROGUPDATE_CMD $IP_Address $JB_File"
$JBPROGUPDATE_CMD $IP_Address $JB_File
