#ifndef _JB_ERROR_H_
#define _JB_ERROR_H_

#include <glib.h>

G_BEGIN_DECLS

typedef enum {
        JTAG_NO_ERROR                   = 0x00000000,

        // common
        JTAG_OPEN_FILE_FAILED           = 0xffff0001,
        JTAG_READ_FILE_FAILED           = 0xffff0002,
        JTAG_WRITE_FILE_FAILED          = 0xffff0003,
        JTAG_OPEN_SOCKET_FAILED         = 0xffff0011,
        JTAG_SELECT_SOCKET_FAILED       = 0xffff0012,
        JTAG_RECV_SOCKET_FAILED         = 0xffff0013,
        JTAG_SEND_SOCKET_FAILED         = 0xffff0014,
        JTAG_FILESIZE_FAILED            = 0xffff0021,
        JTAG_FILE_NAME_LEN_FAILED       = 0xffff0022,
        JTAG_INVALID_RESPONSE           = 0xffff0023,
        JTAG_VERSION_MISMATCH           = 0xffff0024,
        JTAG_VERSION_NAME_FAILED        = 0xffff0025,
	JTAG_CHECKSUM_NOT_ACCORD        = 0xffff0026,
	JTAG_DECOMP_FILE_FAILED         = 0xffff0027,

	JTAG_INVALID_DATA               = 0x00010002,
	JTAG_TARGET_NOT_CONNECTED       = 0x00010008,
	JTAG_TARGET_NOT_FOUND           = 0x0003000A,
} JBErrorCode;

char * jb_error_get_string(JBErrorCode err);

G_END_DECLS

#endif /* _JB_ERROR_H_ */
