#include <iostream>
#include <stdio.h>
#include <unistd.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "jblib.h"

void usage()
{
	cout << "Usage: jbgetfile [IP ADDRESS] [FILE]" << endl;
	cout << "Get configuration file from JTAG-Blazer's flash memory" << endl;
	cout << " -h,\tshow this message" << endl;
}

int main(int argc, char *argv[])
{

	int opt;
   	while((opt = getopt(argc, argv, "h")) != -1){
		switch(opt){
		case 'h':
			usage();
			return 0;
		default:
			usage();
			return -1;
		}
	}

	int argPos = optind;
	if(optind >= argc){
		cerr << argv[0] << ": IP address is not specified" << endl;
		usage();
		return -1;
	}
	in_addr addr;
	if(!inet_aton(argv[optind], &addr)){
		cerr << argv[0] << ": Invalid IP address" << endl;
		usage();
		return -1;
	}

	argPos++;
	const char *fileName = NULL;
	if(argPos < argc)
		fileName = argv[argPos];

	CJBLib lib(addr.s_addr);
	JBErrorCode errCode = lib.FlashReadRequest(fileName);

	if(errCode != JTAG_NO_ERROR)
		fprintf(stderr, "Failed (code : %08x)\n", (int)errCode);

	return (int)errCode;
}
