//+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//
//+    FILE : stj_common.h
//+ SUMMARY : SVFtoJSVF common function header
//+     REV : 1.00 (2005/01/21)
//+  AUTHOR : M.Nakai (Atmark-Techno,Inc.)
//+    MEMO : 
//+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//

#ifndef _STJ_COMMON_H_
#define _STJ_COMMON_H_

//+<< DEFINE >>*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//

#ifdef WIN32
  #define LOG
  #define LOG_MSG
  #define LOG_ERR
  #define LOG_CMSG
#else //WIN32
  #define __ENABLE_LOG
  #ifdef __ENABLE_LOG
    #define LOG(args...) printf(args)
  #else //__ENABLE_LOG
    #define LOG(args...)
  #endif //__ENABLE_LOG

  #define LOG_MSG(args...) LOG(args)
  #define LOG_ERR(args...) LOG(args)

  #define __ENABLE_COLOR
  #ifdef __ENABLE_COLOR
    #define LOG_CMSG(color,args...) \
      LOG("\x1b[%dm",color);\
      LOG(args);\
      LOG("\x1b[37m")
  #else //__ENABLE_COLOR
  #define LOG_CMSG(color,args...) \
    LOG(args)
  #endif //__ENABLE_COLOR
#endif //WIN32

enum COLOR_NUM{
  CL_BLACK  =30,
  CL_RED    =31,
  CL_GREEN  =32,
  CL_YELLOW =33,
  CL_BLUE   =34,
  CL_PURPLE =35,
  CL_AQUA   =36,
  CL_WHITE  =37,
};


void DebugPrintHex(unsigned char *,int);

#endif // _STJ_COMMON_H_

